Subject: Help me! How to contact with Latoxan that sale venoms

From: "Chuang,Chyh-Chong" <[email-masked]>
Date: Thu, 15 Jun 1995 11:47:41 -0700 (PDT)

Dear netters:

I am planning to buy a crude venom. But I know only it can be 
purchased from Latoxan in Frence. Does any one know the address 
or email of Latoxan ? Please help me to contact with them.
Thanks all.
I am not a member of Bionet, so please email to me here. 

ccchuang

  ============================================================
    Chyh-Chong Chuang
    Institude of Biological Chemistry, 
    Academia Sinica,Taipei, Taiwan
  ------------------------------------------------------------
    P.O. BOX 23-106,      Phone: (02) 362-0261 ext 2021
    Taipei, Taiwan,       Fax: (02) 363-5038
    R.O.C.                E-Mail: [email-masked]
  ============================================================